JBoss API: Interface JMSProviderAdapter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Interface JMSProviderAdapter

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AbstractJMSProviderAdapter

public interface JMSProviderAdapter
extends java.io.Serializable

JMSProviderAdapter.java

Created: Wed Nov 29 14:15:07 2000

6/22/01 - hchirino - The queue/topic jndi references are now configed via JMX

Version:
  $Revision: 1.1.6.1 $
Author:
  Hiram Chirino, Jason Dillon

Method Summary
`javax.naming.Context` | `getInitialContext()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProviderUrl()`
`java.lang.String` | `getQueueFactoryRef()`
`java.lang.String` | `getTopicFactoryRef()`
`void` | `setName(java.lang.String name)`
`void` | `setProviderUrl(java.lang.String url)`
`void` | `setQueueFactoryRef(java.lang.String newQueueFactoryRef)`
`void` | `setTopicFactoryRef(java.lang.String newTopicFactoryRef)`

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext()
                                           throws javax.naming.NamingException

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setProviderUrl

    public void setProviderUrl(java.lang.String url)

### getProviderUrl

    public java.lang.String getProviderUrl()

### getQueueFactoryRef

    public java.lang.String getQueueFactoryRef()

### getTopicFactoryRef

    public java.lang.String getTopicFactoryRef()

### setQueueFactoryRef

    public void setQueueFactoryRef(java.lang.String newQueueFactoryRef)

### setTopicFactoryRef

    public void setTopicFactoryRef(java.lang.String newTopicFactoryRef)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.